import request from '@/plugins/request/system';

/**
 * 订单列表
 * @param {Object} data
 */
export function SystemOrderList(data){
    return request({
        url:'/systemv1/order/list',
        method:'post',
        data:data
    })
}

/**
 * 订单统计
 * @param {Object} data
 */
export function SystemOrderTotal(data){
    return request({
        url:'/systemv1/order/total',
        method:'post',
        data:data
    })
}
/**
 * 订单详情
 * @param {Object} data
 */
export function SystemOrderInfo(data){
    return request({
        url:'/systemv1/order/info',
        method:'post',
        data:data
    })
}

/**
 * 订单日志
 * @param {Object} data
 */
export function SystemOrderLog(data){
    return request({
        url:'/systemv1/order/log',
        method:'post',
        data:data
    })
}

/**
 * 订单备注
 * @param {Object} data
 */
export function SystemOrderMono(data){
    return request({
        url:'/systemv1/order/mono',
        method:'post',
        data:data
    })
}

/**
 * 订单发货
 * @param {Object} data
 */
export function SystemOrderFahuo(data){
    return request({
        url:'/systemv1/order/fahuo',
        method:'post',
        data:data
    })
}



/**
 * 模板订单列表
 * @param {Object} data
 */
export function SystemShowTemplateOrderList(data){
    return request({
        url:'/systemv1/order/showTemplateList',
        method:'post',
        data:data
    })
}

/**
 * 模板订单统计
 * @param {Object} data
 */
export function SystemShowTemplateOrderTotal(data){
    return request({
        url:'/systemv1/order/showTemplateTotal',
        method:'post',
        data:data
    })
}
/**
 * 模板订单详情
 * @param {Object} data
 */
export function SystemShowTemplateOrderInfo(data){
    return request({
        url:'/systemv1/order/showTemplateInfo',
        method:'post',
        data:data
    })
}

/**
 * 模板订单日志
 * @param {Object} data
 */
export function SystemShowTemplateOrderLog(data){
    return request({
        url:'/systemv1/order/showTemplateLog',
        method:'post',
        data:data
    })
}

/**
 * 模板订单备注
 * @param {Object} data
 */
export function SystemShowTemplateOrderMono(data){
    return request({
        url:'/systemv1/order/showTemplateMono',
        method:'post',
        data:data
    })
}



















/**
 * 订单导出
 * @param {Object} data
 */
export function SystemOrderDown(data){
    return request({
        url:'/systemv1/order/down',
        method:'post',
        data:data
    })
}
